<?xml version="1.0" encoding="UTF-8"?>
<Schema xmlns="urn:schemas-microsoft-com:xml-data" xmlns:dt="urn:schemas-microsoft-com:datatypes">
	<ElementType name="ID" content="textOnly"/>
	<ElementType name="Type" content="textOnly"/>
	<ElementType name="Base" content="textOnly"/>
	<ElementType name="Size" content="textOnly"/>
	<ElementType name="Flag" content="textOnly"/>
	<ElementType name="FlashTypeID" content="textOnly"/>
	<ElementType name="Mode" content="textOnly"/>
	<ElementType name="SchemeName" content="textOnly"/>
	<ElementType name="CheckFlag" content="textOnly"/>
	<ElementType name="ProductComment" content="textOnly"/>
	<ElementType name="NvBaseAddrChangeFlag" content="textOnly"/>
	<ElementType name="NvNewBasePosition" content="textOnly"/>
	<AttributeType name="name"/>
	<AttributeType name="use"/>
	<AttributeType name="check"/>
	<AttributeType name="backup"/>
	<AttributeType name="enable"/>
	<AttributeType name="id"/>
	<AttributeType name="index"/>
	<ElementType name="NVFlag" content="textOnly">
		<attribute type="name" required="yes"/>
		<attribute type="check" required="yes"/>
	</ElementType>
	<ElementType name="BackupFlag" content="eltOnly">
		<attribute type="use" required="yes"/>
		<element type="NVFlag" minOccurs="0" maxOccurs="*"/>
	</ElementType>
	<ElementType name="NVItem" content="eltOnly">
		<attribute type="name" required="yes"/>
		<attribute type="backup" required="yes"/>
		<element type="ID" />
		<element type="BackupFlag" />
	</ElementType>
	<ElementType name="NVBackup" content="eltOnly">
		<attribute type="backup" required="yes"/>
		<element type="NVItem" minOccurs="1" maxOccurs="*"/>
	</ElementType>
	<ElementType name="FlashItem" content="empty">
		<attribute type="name" required="yes"/>
		<attribute type="id" required="yes"/>
		<attribute type="index" required="yes"/>	
	</ElementType>
	<ElementType name="FlashInfo" content="eltOnly">
		<attribute type="use" required="yes"/>
		<element type="FlashItem" minOccurs="1" maxOccurs="*"/>
	</ElementType>
	<ElementType name="Block" content="eltOnly">
		<element type="Base"/>
		<element type="Size"/>
	</ElementType>
	<ElementType name="File" content="eltOnly" order="seq">
		<element type="ID"/>
		<element type="Type"/>
		<element type="Block" minOccurs="1" maxOccurs="*"/>
		<element type="Flag"/>
		<element type="CheckFlag"/>
	</ElementType>
	<ElementType name="Scheme" content="eltOnly">
		<attribute type="name" required="yes"/>
		<element type="File" minOccurs="1" maxOccurs="*"/>
	</ElementType>
	<ElementType name="SchemeList" content="eltOnly">
		<element type="Scheme" minOccurs="1" maxOccurs="*"/>
	</ElementType>
	<ElementType name="Product" content="eltOnly">
		<attribute type="name" required="yes"/>
		<attribute type="enable" required="no"/>
		<element type="SchemeName" minOccurs="1"/>
		<element type="FlashTypeID"/>
		<element type="Mode"/>
		<element type="FlashInfo" minOccurs="0"/>
		<element type="NvBaseAddrChangeFlag" minOccurs="0"/>
		<element type="NvNewBasePosition" minOccurs="0"/>
		<element type="NVBackup"/>
		<element type="ProductComment" minOccurs="0"/>
	</ElementType>
	<ElementType name="ProductList" content="eltOnly">
		<element type="Product" minOccurs="1" maxOccurs="*"/>
	</ElementType>
	<ElementType name="BMAConfig" content="eltOnly">
		<element type="ProductList" minOccurs="1" maxOccurs="*"/>
		<element type="SchemeList" minOccurs="1" maxOccurs="*"/>
	</ElementType>
</Schema>
